# Generated by Django 2.2.9 on 2020-01-31 06:53

import _socket
from django.conf import settings
import django.contrib.sites.managers
from django.db import migrations, models
import django.db.models.deletion
import django_audit_fields.fields.hostname_modification_field
import django_audit_fields.fields.userfield
import django_audit_fields.fields.uuid_auto_field
import django_audit_fields.models.audit_model_mixin
import django_revision.revision_field
import edc_model.validators.date
import edc_protocol.validators
import edc_utils.date
import edc_visit_tracking.managers
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('inte_lists', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('sites', '0002_alter_domain_unique'),
        ('inte_subject', '0003_auto_20200130_1101'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalGeneralAssessmentInitial',
            fields=[
                ('revision', django_revision.revision_field.RevisionField(blank=True, editable=False, help_text='System field. Git repository tag:branch:commit.', max_length=75, null=True, verbose_name='Revision')),
                ('created', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('modified', models.DateTimeField(blank=True, default=django_audit_fields.models.audit_model_mixin.utcnow)),
                ('user_created', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user created')),
                ('user_modified', django_audit_fields.fields.userfield.UserField(blank=True, help_text='Updated by admin.save_model', max_length=50, verbose_name='user modified')),
                ('hostname_created', models.CharField(blank=True, default=_socket.gethostname, help_text='System field. (modified on create only)', max_length=60)),
                ('hostname_modified', django_audit_fields.fields.hostname_modification_field.HostnameModificationField(blank=True, help_text='System field. (modified on every save)', max_length=50)),
                ('device_created', models.CharField(blank=True, max_length=10)),
                ('device_modified', models.CharField(blank=True, max_length=10)),
                ('id', django_audit_fields.fields.uuid_auto_field.UUIDAutoField(blank=True, db_index=True, editable=False, help_text='System auto field. UUID primary key.')),
                ('consent_model', models.CharField(editable=False, max_length=50, null=True)),
                ('consent_version', models.CharField(editable=False, max_length=10, null=True)),
                ('report_datetime', models.DateTimeField(default=edc_utils.date.get_utcnow, help_text="If reporting today, use today's date/time, otherwise use the date/time this information was reported.", validators=[edc_protocol.validators.datetime_not_before_study_start, edc_model.validators.date.datetime_not_future], verbose_name='Report Date')),
                ('history_id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('hiv_screen', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='HIV', max_length=15, null=True, verbose_name='Besides the tests done today, have you been tested for HIV?')),
                ('hiv_informed', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='HIV', max_length=15, null=True, verbose_name='Were you told you are HIV positive?')),
                ('hiv_screen_date', models.DateField(blank=True, help_text='HIV. If estimated, see protocol for instructions on how to estimate dates', null=True, verbose_name='How long ago was this')),
                ('diabetes_screen', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='Diabetes', max_length=15, null=True, verbose_name='Besides the tests done today, have you been tested for diabetes (high blood sugar)')),
                ('diabetes_informed', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='Diabetes', max_length=15, null=True, verbose_name='Were you told you have diabetes?')),
                ('diabetes_screen_date', models.DateField(blank=True, help_text='Diabetes. If estimated, see protocol for instructions on how to estimate dates', null=True, verbose_name='How long ago was this?')),
                ('hypertension_screen', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='Hypertension', max_length=15, null=True, verbose_name='Besides the tests done today, have you been tested for high blood pressure?')),
                ('hypertension_informed', models.CharField(blank=True, choices=[('Yes', 'Yes'), ('No', 'No')], help_text='Hypertension', max_length=15, null=True, verbose_name='Were you told you have high blood pressure?')),
                ('hypertension_screen_date', models.DateField(blank=True, help_text='Hypertension. If estimated, see protocol for instructions on how to estimate dates', null=True, verbose_name='How long ago was this?')),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical General Assessment (Baseline)',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.RenameModel(
            old_name='GeneralAssessment',
            new_name='GeneralAssessmentInitial',
        ),
        migrations.CreateModel(
            name='GeneralAssessment',
            fields=[
            ],
            options={
                'verbose_name': 'General Assessment',
                'verbose_name_plural': 'General Assessment',
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('inte_subject.generalassessmentinitial',),
            managers=[
                ('on_site', django.contrib.sites.managers.CurrentSiteManager()),
                ('objects', edc_visit_tracking.managers.CrfModelManager()),
            ],
        ),
        migrations.AlterModelOptions(
            name='generalassessmentinitial',
            options={'verbose_name': 'General Assessment (Baseline)', 'verbose_name_plural': 'General Assessment (Baseline)'},
        ),
        migrations.RemoveIndex(
            model_name='generalassessmentinitial',
            name='inte_subjec_subject_bee46d_idx',
        ),
        migrations.AddIndex(
            model_name='generalassessmentinitial',
            index=models.Index(fields=['subject_visit', 'site', 'id'], name='inte_subjec_subject_c7b4f0_idx'),
        ),
        migrations.AddField(
            model_name='historicalgeneralassessmentinitial',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalgeneralassessmentinitial',
            name='site',
            field=models.ForeignKey(blank=True, db_constraint=False, editable=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='sites.Site'),
        ),
        migrations.AddField(
            model_name='historicalgeneralassessmentinitial',
            name='subject_visit',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='inte_subject.SubjectVisit'),
        ),
    ]
